<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="200px" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
            <!--PD000006 -->
           <el-tab-pane label="进口信用证交易查询" name="infsea">
                <m-infsea :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Inflid from "~/model/Inflid"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Inflid/Check"
import Default from "~/model/Inflid/Default"
import Pattern from "~/model/Inflid/Pattern"
import Infsea from "./Infsea"

export default {
    components:{
        "m-infsea" : Infsea,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "",
            trnName: "inflid",
            model: new Inflid().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
             codes:{...CodeTable},
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入inflid交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
